Bug 16134 - t::lib::Mocks::mock_preference should be case-insensitive
Summary: t::lib::Mocks::mock_preference should be case-insensitive
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Julian Maurice
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-23 13:11 UTC by Julian Maurice
Modified: 2016-12-05 21:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16134: t::lib::Mocks::mock_preference should be case-insensitive (1.06 KB, patch)
2016-03-23 13:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16134: t::lib::Mocks::mock_preference should be case-insensitive (1.14 KB, patch)
2016-03-23 15:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 16134: t::lib::Mocks::mock_preference should be case-insensitive (1.21 KB, patch)
2016-03-23 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2016-03-23 13:11:56 UTC
Since bug 11998, some tests are failing (well at least one: t/db_dependent/Auth_with_cas.t)

This is due to the "case-sensitivity" of mock_preference. mock_preference should be case-insensitive, like C4::Context::preference.
Comment 1 Julian Maurice 2016-03-23 13:12:41 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-23 15:29:33 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-23 21:35:39 UTC
Created attachment 49466 [details] [review]
[PASSED QA] Bug 16134: t::lib::Mocks::mock_preference should be case-insensitive

Test plan:
1. prove t/db_dependent/Auth_with_cas.t => FAIL
2. Apply patch
3. prove t/db_dependent/Auth_with_cas.t => SUCCESS

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-24 15:37:04 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-04-07 07:46:33 UTC
Patch pushed to 3.22.x, will be in 3.22.6